class Video {
  int aid;
  int up_id;
  int view;
  int num_followers;
  int day_of_week;
  String video_class;
  int share;
  int danmaku;


  float color_scale;
  float width_scale;
  float theta;
  float r; // radius
  float x; // dx
  float y; // dy
  float z; // dz


  Video(int aid, int up_id, int view, int num_followers, int day_of_week, String video_class, int share, int danmaku) {
    
    // initial parameters in class
    this.aid = aid;
    this.up_id = up_id;
    this.view = view;
    this.num_followers = num_followers;
    this.day_of_week = day_of_week;
    this.video_class = video_class;
    this.share = share;
    this.danmaku = danmaku;
    
    // get paramters : dx, dy, dz, angle(theta), radius
    this.r = get_radius(this.view);
    this.theta = get_theta(day_of_week);
    this.x = this.r * cos(theta+PI/2);
    this.y = this.r * sin(theta+PI/2);
    this.z = get_z(num_followers) + baseline_Z;
    
    // get parameters : color and width of line
    this.color_scale = get_color_scale(this.danmaku, this.video_class);
    this.width_scale = get_width_scale(this.share, this.video_class);
  }
}
