void drawPoint(ArrayList<Video>videos, String class_name) {

  for (int i = 0; i < 90; i++) {

    for (int j = 0; j < numRows; j++) {

      if (videos.get(j).up_id == top10_ids[i] && videos.get(j).video_class.equals(class_name)) {

        pushMatrix();
        stroke(color(245, 245, 245), random(80, 250));
        strokeWeight(2);

        float dx = videos.get(j).x;
        float dy = videos.get(j).y;
        float dz = videos.get(j).z;


        translate(dx, dy, dz);
        point(0, 0, 0);
        popMatrix();
      }
    }
  }
}



void drawCurves(ArrayList<Video>videos, String class_name) {

  pushMatrix();
  for (int i = 0; i < 90; i++) {

    noFill();
    beginShape();


    for (int j = 0; j < numRows; j++) {
      stroke(clr_map.get(videos.get(j).video_class), videos.get(j).color_scale);
      strokeWeight(videos.get(j).width_scale);

      if (videos.get(j).up_id == top10_ids[i] && videos.get(j).video_class.equals(class_name)) {

        curveVertex(videos.get(j).x, videos.get(j).y, videos.get(j).z);
        //println(j);
      }
    }

    endShape();
  }
  popMatrix();
}


void draw_fn(int class_num) {
  
    if (draw_pt) drawPoint(videos, class_names[class_num]);
    if (draw_curve) drawCurves(videos, class_names[class_num]);
}
