void drawWeek() {
  pushMatrix();
  translate(0, 0, baseline_Z);
  noFill();
  stroke(180);
  strokeWeight(1);
  ellipse(0, 0, 800, 800);

  for (int i = 0; i < week; i++) {
    pushMatrix();
    float theta = (week-i)*TWO_PI/7;
    translate(400*cos(theta+PI/2), 400*sin(theta+PI/2));
    rotate(theta+PI/2+PI);
    textAlign(RIGHT, CENTER);
    fill(180);
    textSize(12);
    text(days_week[i]+" ", 0, 0);
    popMatrix();
  }
  popMatrix();
}
