void gui() {
  int init_Y = 200; // initial checkbox position

  cp5 = new ControlP5(this);

  // create checkboxes
  checkbox0 = cp5.addCheckBox("checkBox0")
    .setPosition(20, init_Y)
    .setSize(15, 15)
    .setColorForeground(clr[0])
    .setColorBackground(clr[0])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[0], 1)
    .activate(0)
    ;

  checkbox1 = cp5.addCheckBox("checkBox1")
    .setPosition(20, init_Y+20)
    .setSize(15, 15)
    .setColorForeground(clr[1])
    .setColorBackground(clr[1])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[1], 1)
    .activate(0)
    ;

  checkbox2 = cp5.addCheckBox("checkBox2")
    .setPosition(20, init_Y+40)
    .setSize(15, 15)
    .setColorForeground(clr[2])
    .setColorBackground(clr[2])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[2], 1)
    .activate(0)
    ;

  checkbox3 = cp5.addCheckBox("checkBox3")
    .setPosition(20, init_Y+60)
    .setSize(15, 15)
    .setColorForeground(clr[3])
    .setColorBackground(clr[3])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[3], 1)
    .activate(0)
    ;


  checkbox4 = cp5.addCheckBox("checkBox4")
    .setPosition(20, init_Y+80)
    .setSize(15, 15)
    .setColorForeground(clr[4])
    .setColorBackground(clr[4])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[4], 1)
    .activate(0)
    ;

  checkbox5 = cp5.addCheckBox("checkBox5")
    .setPosition(20, init_Y+100)
    .setSize(15, 15)
    .setColorForeground(clr[5])
    .setColorBackground(clr[5])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[5], 1)
    .activate(0)
    ;


  checkbox6 = cp5.addCheckBox("checkBox6")
    .setPosition(20, init_Y+120)
    .setSize(15, 15)
    .setColorForeground(clr[6])
    .setColorBackground(clr[6])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[6], 1)
    .activate(0)
    ;

  checkbox7 = cp5.addCheckBox("checkBox7")
    .setPosition(20, init_Y+140)
    .setSize(15, 15)
    .setColorForeground(clr[7])
    .setColorBackground(clr[7])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[7], 1)
    .activate(0)
    ;

  checkbox8 = cp5.addCheckBox("checkBox8")
    .setPosition(20, init_Y+160)
    .setSize(15, 15)
    .setColorForeground(clr[8])
    .setColorBackground(clr[8])
    .setColorActive(color(#626262))
    .setItemsPerRow(1)
    .setSpacingColumn(20) 
    .setSpacingRow(5)
    .addItem(class_names[8], 1)
    .activate(0)
    ;

  cp5.setAutoDraw(false);
}

void controlEvent(ControlEvent theEvent) { 

  if (theEvent.isFrom(checkbox0)) {
    class_ctrl[0] = !class_ctrl[0];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox1)) {
    class_ctrl[1] = !class_ctrl[1];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox2)) {
    class_ctrl[2] = !class_ctrl[2];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox3)) {
    class_ctrl[3] = !class_ctrl[3];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox4)) {
    class_ctrl[4] = !class_ctrl[4];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox5)) {
    class_ctrl[5] = !class_ctrl[5];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox6)) {
    class_ctrl[6] = !class_ctrl[6];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox7)) {
    class_ctrl[7] = !class_ctrl[7];
    draw_pt = true;
    draw_curve = true;
  }

  if (theEvent.isFrom(checkbox8)) {
    class_ctrl[8] = !class_ctrl[8];
    draw_pt = true;
    draw_curve = true;
  }
}

// Basic Information
void drawInfo() {

  ///// title ////////////
  pushMatrix();
  strokeWeight(0.5);
  stroke(fontColor[0]);
  textSize(fontSize[0]);
  scale(0.1);
  textAlign(LEFT, CENTER);
  text("The Popularity of Uploaders in Bilibili", 180, 400);
  popMatrix();

  pushMatrix();
  line(20, 55, 520, 55);
  //subheading
  stroke(fontColor[1]);
  textSize(fontSize[2]);
  text("Connections between Numbers of Views and Numbers of Followers", 20, 65);
  text("Data Source: LePtC", 20, 80);
  textSize(fontSize[1]);
  text("MAT 259 | Guanyu Chen", 20, 110);
  popMatrix();


  textSize(fontSize[2]);
  text("Press 'O' to show/remove ordinates", 20, 485);
  text("Press 'I' to show/remove texts", 20, 500);
  text("Press 'L' to show/remove curves", 20, 515);
  text("Press 'P' to show/remove points", 20, 530);
  text("Press 'Space' to remove all graphs", 20, 545);

  noFill();
}
